<?php

define('PHPWG_ROOT_PATH','../../../');
define('IN_ADMIN', true);
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
include_once(PHPWG_ROOT_PATH.'admin/include/functions_plugins.inc.php');

check_status(ACCESS_ADMINISTRATOR);

if (isset($_POST['reset']))
{
  $conf['AU_ignore'] = array('plugins'=>array(),'themes'=>array(),'languages'=>array());
  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
  unset($_SESSION['extensions_need_update']);
  echo 'ok';
}

if (empty($_POST['id']) or empty($_POST['type']))
{
  die;
}

// Add or remove plugin from ignore list
$ignore = $conf['AU_ignore'][$_POST['type']];
$ignore = array_flip($ignore);

if (isset($ignore[$_POST['id']]))
{
  unset($ignore[$_POST['id']]);
  $ignore = array_flip($ignore);
}
else
{
  $ignore = array_flip($ignore);
  array_push($ignore, $_POST['id']);
}

sort($ignore);
$conf['AU_ignore'][$_POST['type']] = $ignore;
conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
unset($_SESSION['extensions_need_update']);
echo 'ok';

?>